Name:		mirrormagic
Summary:	A puzzle game with mirrors and ray of lights
Version:	2.0.2
Release:	%{mkrel 8}
Source0:	http://www.artsoft.org/RELEASES/unix/mirrormagic/%{name}-%{version}.tar.bz2
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
Patch0:		mirrormagic-2.0.2-debian-gcc4.patch
Patch1:		mirrormagic-2.0.2-str-fmt.patch
URL:		http://www.artsoft.org/mirrormagic/
License:	GPL+
Group:		Games/Puzzles
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel

%description
This game was first released as "Mindbender" in the year 1989 on the Amiga
(with ports on other computer systems) and is in fact a clone of the C64
game "Deflektor".

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p0 -b .str


%build
%{__make} OPTIONS="%{optflags}" sdl

%install
%{__rm} -rf %{buildroot}
%{__install} -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}.wrapped
%{__install} -d %{buildroot}%{_gamesdatadir}/%{name}
%{__cp} -a graphics levels scores sounds music %{buildroot}%{_gamesdatadir}/%{name}
%{__chmod} 644 %{buildroot}%{_gamesdatadir}/%{name}/music/mod.enter_our_world

%{__cat} << EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.wrapped
popd
EOF

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Categories=Game;LogicGame;
Name=Mirror Magic
Comment=Puzzle game with mirrors and ray of lights
EOF

%{__install} %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__install} %{SOURCE2} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__install} %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean

%files
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*
%defattr(644,root,root,755)
%doc README
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-8.mga4
+ Revision: 507972
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-7.mga3
+ Revision: 360113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 09 2011 stormi <stormi> 2.0.2-6.mga2
+ Revision: 121423
- bump release so that it's higher than that in mageia 1

* Mon Jun 13 2011 zezinho <zezinho> 2.0.2-5.mga2
+ Revision: 105920
- imported package mirrormagic


* Sat Jan 22 2011 Funda Wang <fwang@mandriva.org> 2.0.2-5mdv2011.0
+ Revision: 632220
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.2-4mdv2009.0
+ Revision: 281780
- drop an unnecessary commented line
- fd.o icons
- macros style
- one buildrequires per line
- new license policy
- add debian-gcc4.patch: from Debian, fix build with GCC 4.x
- drop unnecessary defines

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag
    - auto convert menu to XDG
    - kill invalid packager tag
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - use %%mkrel
    - import mirrormagic

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas


* Fri Nov 19 2004 Olivier Blin <blino@mandrake.org> 2.0.2-2mdk
- birthday rebuild

* Wed Oct 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2
- drop P0, fixed upstream
- change summary macro to avoid possible conflicts if we were to build debug package
- macroize
- cosmetics
- added menu item and icons
- override OPTIONS variable in stead of modifying makefile

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-4mdk
- rebuild

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-3mdk
- recompile against new vorbis stuff
- fix non-standard-group
- fix non-readable

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-2mdk
- rebuild for new alsa

* Tue Apr  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.1-1mdk
- first mdk package
